export declare const createCannedResponseSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    content: import("zod").ZodString;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "name" | "content">, "strip", import("zod").ZodTypeAny, {
    name: string;
    content: string;
}, {
    name: string;
    content: string;
}>;
declare const CreateCannedResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    name: import("zod").ZodString;
    content: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    name: string;
    content: string;
}, {
    name: string;
    content: string;
}>>;
export declare class CreateCannedResponseDto extends CreateCannedResponseDto_base {
}
export declare const createCannedResponseResponseSchema: import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    content: import("zod").ZodString;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
    name: string;
    content: string;
    created_at: Date;
    updated_at: Date;
}, {
    id: string;
    name: string;
    content: string;
    created_at: Date;
    updated_at: Date;
}>;
declare const CreateCannedResponseResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    content: import("zod").ZodString;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    id: string;
    name: string;
    content: string;
    created_at: string;
    updated_at: string;
}, {
    id: string;
    name: string;
    content: string;
    created_at: string;
    updated_at: string;
}>>;
export declare class CreateCannedResponseResponseDto extends CreateCannedResponseResponseDto_base {
}
export {};
